#ifndef __MESH_H
#define __MESH_H
#include "Vertex.h"

class Mesh
{
public:
	Mesh();
	~Mesh();

	int Get_Size() const;
	const Vertex *Get_Vertices() const;

	void Clear();

	void Add_Vertex(const Vertex &vtx, bool new_strip = false);

private:
	int m_vertices_size;
	int m_vertices_alloc;
	Vertex *m_vertices;

	Mesh(const Mesh &oth);

	Vertex *Alloc_Vertex();
};

#endif
