#ifndef __TUNNEL_H
#define __TUNNEL_H
#include <d3dx9.h>
#include "Mesh.h"
#include "Single.h"

class Tunnel
{
public:
	Tunnel();
	~Tunnel();

	const Mesh *Get_Tunnel_Mesh() const;

	float Get_Radius_At(float t) const;
	D3DXVECTOR3 Get_Pos_At(float t) const;
	void Get_Frame_At(D3DXMATRIX &dest_mtx, float t) const;

	void Update_Mesh(float t);

private:
	Single<Mesh> m_tunnel_mesh;
};

#endif
